QwtCPointerData(3)

NAME
QwtCPointerData -

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtSeriesData< QPointF >.

  Public Member Functions
QwtCPointerData (const double *x, const double *y, size_t size)
virtual QRectF boundingRect () const
virtual QPointF sample (size_t i) const
virtual size_t size () const
const double * xData () const
const double * yData () const

  Additional Inherited Members

Detailed Description

Data class containing two pointers to memory blocks of doubles.

Constructor & Destructor Documentation

  QwtCPointerData::QwtCPointerData (const double *x, const double *y, size_tsize)
Constructor

Parameters:
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

Warning:
    The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also:
    QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

Member Function Documentation

  QRectF QwtCPointerData::boundingRect () const [virtual]

Calculate the bounding rect. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QPointF >.

  QPointF QwtCPointerData::sample (size_ti) const [virtual]
Return the sample at position i

Parameters:
    i Index

Returns:
    Sample at position i

Implements QwtSeriesData< QPointF >.

  size_t QwtCPointerData::size () const [virtual]
Returns:
    Size of the data set

Implements QwtSeriesData< QPointF >.

  const double * QwtCPointerData::xData () const
Returns:
    Array of the x-values

  const double * QwtCPointerData::yData () const
Returns:
    Array of the y-values

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.